ARCore 사용 설정

이 페이지에서는 Unreal Engine 프로젝트에서 ARCore 기능을 사용 설정하는 방법을 설명합니다. 이렇게 하려면 다음이 필요합니다.

  1. AR 필수 또는 AR 선택사항으로 앱 구성
  2. 앱이 ARCore 및 사용자 개인 정보 보호 요구사항을 준수하는지 확인합니다.

Google Play AR 서비스

앱에서 ARCore를 사용 설정하는 방법에는 AR 필수AR 선택사항이 있습니다. 어떤 앱을 선택할지 결정하는 데 도움이 필요하다면 Google Play 스토어에 AR 앱 게시를 참조하세요.

AR 필수

AR 필수: AR 없이 앱을 사용할 수 없으며 ARCore를 지원하는 기기에서만 앱을 사용할 수 있다는 의미입니다.

AR AR 필수 앱을 만들려면 GoogleARCore 플러그인 설정에서 ARCore 필수 앱 체크박스를 선택합니다. 이 설정은 Edit > Project Settings > Plugins > GoogleARCore 메뉴에 있습니다.

앱에서 자동으로 런타임 검사를 실행하여 기기가 ARCore를 지원하고 AR 및 ARCore 기기 프로필 데이터의 Google Play 서비스가 설치되어 있는지 확인합니다. Google Play AR 서비스가 설치되어 있지 않거나 (사용자가 삭제했기 때문에) 버전이 너무 오래되었거나 ARCore 기기 프로필 데이터가 최신 상태가 아닌 경우 앱에서 사용자에게 설치하거나 업데이트하라는 메시지를 표시합니다. 설치 또는 업데이트가 실패하면 (네트워크 오류 때문일 수 있음) Get ARCore Session Status 청사진 노드가 Error를 반환하고 앱은 오류를 처리하고 종료해야 합니다.

AR(선택사항)

AR 선택사항은 ARCore를 지원하지 않는 기기에 앱을 설치하고 실행할 수 있지만 지원되는 기기에서 실행할 때 사용 설정된 AR 기능을 포함하는 것을 의미합니다. 사용자가 AR 선택적 앱을 설치하면 Google Play 스토어는 AR용 Google Play 서비스를 자동으로 설치하지 않습니다.

앱을 AR 선택사항으로 만들려면 GoogleARCore 플러그인 설정에서 ARCore 필수 앱 체크박스를 선택 해제합니다.

앱에서 Check ARCore Availability 청사진 노드를 사용하여 기기가 ARCore를 지원하는지 확인하고 지원한다면 AR용 Google Play 서비스가 설치되어 있는지 확인하세요.

앱은 다음 조건을 처리해야 합니다.

조건 작업
기기가 ARCore를 지원하지 않습니다. AR 관련 기능을 숨깁니다.
기기에서 ARCore를 지원하지만 Google Play 서비스가 설치되어 있지 않거나 오래되었습니다. Install ARCore Service 청사진을 사용하여 사용자에게 설치하거나 업데이트하라는 메시지가 표시됩니다.
기기에서 ARCore 및 Google Play AR 서비스 설치가 지원되고 최신 상태로 유지됩니다. 서비스를 시작합니다.

사용자 개인 정보 보호 요구사항

앱이 ARCore 및 사용자 개인 정보 보호 요구사항을 준수하는지 확인합니다.

다음 단계

샘플 앱의 코드 및 ARCore의 Unreal API 참조를 읽어보세요.